/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INSTR_DESC                2
#define  PANEL_RESET                     3
#define  PANEL_IDQUERY                   4
#define  PANEL_SYMBOL_TIME               5
#define  PANEL_RF_FREQ                   6
#define  PANEL_DATA_SYMBOLS              7
#define  PANEL_SEQ_LENGTH                8
#define  PANEL_RF_LEVEL                  9
#define  PANEL_RF_STATE                  10
#define  PANEL_WLAN_STATE                11
#define  PANEL_Exit                      12      /* callback function: exitApp */
#define  PANEL_APPLY                     13      /* callback function: apllySettings */
#define  PANEL_TEXT2                     14
#define  PANEL_TEXT1                     15
#define  PANEL_DECORATION_2              16
#define  PANEL_DECORATION_3              17
#define  PANEL_TEXT                      18
#define  PANEL_CCK_PREAMBLE              19
#define  PANEL_CCK_BITRATE               20
#define  PANEL_OFDM_BITRATE              21
#define  PANEL_DATA_SOURCE               22
#define  PANEL_PHYS_LAYER                23
#define  PANEL_DECORATION                24
#define  PANEL_TEXT1_2                   25
#define  PANEL_TEXT1_3                   26
#define  PANEL_DECORATION_5              27
#define  PANEL_DECORATION_4              28


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
